
QGIS Application - Bug report #2524

actions: problem when a column is named as the first part of another column name

2010-03-07 10:52 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12584

Description

Imagine to have a vector and in its table of attributes you have a column called "*colu*" and another called "*coluna*".

Then set an action that will need to use the "coluna" field as variable.

In the action command at some point you will then have "%coluna" as the variable part.

But when you will run the action the variable part will be interpreted as "%colu" plus the letters "na"

I can't find any workaround to this.

History

#1 - 2010-03-07 11:25 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

#2 - 2010-03-07 11:28 AM - Jürgen Fischer

Replying to [comment:1 jef]:

<pre>

#3 - 2010-03-07 11:30 AM - Giovanni Manghi

Replying to [comment:1 jef]:

ok thanks. Is this documented?

#4 - 2010-03-08 12:29 AM - Otto Dassau

yes, it is documented in the user manual.
#5 - 2010-03-08 01:27 AM - Giovanni Manghi

Replying to [comment:4 dassau]:

	

yes, it is documented in the user manual.

	

ok sorry, I missed it
